# XMLReader::setParserProperty

(PHP 5 >= 5.1.0, PHP 7)

XMLReader::setParserProperty — Set parser options

### Description

public XMLReader::setParserProperty ( int `$property` , bool `$value` ) : bool

Set parser options. The options must be set after XMLReader::open() or XMLReader::xml() are called and before the first XMLReader::read() call.

### Parameters

`property`

  One of the parser option constants.

`value`

  If set to `TRUE` the option will be enabled otherwise will be disabled.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.